---
name: Container
menu: Components
---

import { Playground, Props } from "docz";

import Container from "./Container";
import Paper from "./Paper";
import Grid from "./Grid";

# Container

The Container wrapps the content. It is the most basic layout element.

### Best practices

- Container can be used to wrap especially the main content.
- Container can center the main content horizontally.

<!-- Container -->

### Basic usage

<Playground>
  <Grid container spacing={3} direction="column">
    <Grid item>
      <Container maxWidth={false}>
        <Paper>Content</Paper>
      </Container>
    </Grid>
    <Grid item>
      <Container maxWidth="xl">
        <Paper>Content</Paper>
      </Container>
    </Grid>
    <Grid item>
      <Container maxWidth="lg">
        <Paper>Content</Paper>
      </Container>
    </Grid>
    <Grid item>
      <Container maxWidth="md">
        <Paper>Content</Paper>
      </Container>
    </Grid>
    <Grid item>
      <Container maxWidth="sm">
        <Paper>Content</Paper>
      </Container>
    </Grid>
    <Grid item>
      <Container maxWidth="xs">
        <Paper>Content</Paper>
      </Container>
    </Grid>
  </Grid>
</Playground>

### Properties

<Props of={Container} />
